# Generated from sequent-sinatra-0.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sequent-sinatra

Name: rubygem-%{gem_name}
Version: 0.1.8
Release: 1%{?dist}
Summary: Event sourcing framework for Ruby - Sinatra adapter
License: MIT
URL: https://github.com/zilverline/sequent-sinatra
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rack-test) >= 0.6
# BuildRequires: rubygem(rack-test) < 1
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-mocks) >= 3.2
# BuildRequires: rubygem(rspec-mocks) < 4
# BuildRequires: rubygem(rspec-collection_matchers) >= 1.1
# BuildRequires: rubygem(rspec-collection_matchers) < 2
# BuildRequires: rubygem(rspec-html-matchers) >= 0.7
# BuildRequires: rubygem(rspec-html-matchers) < 1
# BuildRequires: rubygem(simplecov) >= 0.9
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
BuildArch: noarch

%description
Sequent is an event sourcing framework for Ruby. This gem allows Sequent to
work with Sinatra-backed applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.8-1
- Initial package
